/**
 * test driver for unit testing of geis internals
 */
#include <check.h>

extern Suite *make_instance_table_suite();


int
main(int argc, char* argv[])
{
  int num_failed = 0;

  Suite *s = suite_create("\"uTouch GEIS v1.0 internals\"");

  SRunner *sr = srunner_create(s);
  srunner_add_suite(sr, make_instance_table_suite());

  srunner_set_log(sr, "geis_internals.log");
  srunner_run_all(sr, CK_NORMAL);
  num_failed = srunner_ntests_failed(sr);

  srunner_free(sr);

  return !(num_failed == 0);
}
